/****************************************************************************
**
** DCOP Skeleton created by dcopidl2cpp from kig_iface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "./kig_iface.h"

#include <kdatastream.h>


static const char* const KigIface_ftable[2][3] = {
    { "void", "openURL(QString)", "openURL(QString s)" },
    { 0, 0, 0 }
};

bool KigIface::process(const QCString &fun, const QByteArray &data, QCString& replyType, QByteArray &replyData)
{
    if ( fun == KigIface_ftable[0][1] ) { // void openURL(QString)
	QString arg0;
	QDataStream arg( data, IO_ReadOnly );
	arg >> arg0;
	replyType = KigIface_ftable[0][0]; 
	openURL(arg0 );
    } else {
	return DCOPObject::process( fun, data, replyType, replyData );
    }
    return TRUE;
}

QCStringList KigIface::interfaces()
{
    QCStringList ifaces = DCOPObject::interfaces();
    ifaces += "KigIface";
    return ifaces;
}

QCStringList KigIface::functions()
{
    QCStringList funcs = DCOPObject::functions();
    for ( int i = 0; KigIface_ftable[i][2]; i++ ) {
	QCString func = KigIface_ftable[i][0];
	func += ' ';
	func += KigIface_ftable[i][2];
	funcs << func;
    }
    return funcs;
}


